<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-2.5.xsd">

	<bean id="hdrDataSource"
		class="org.springframework.jndi.JndiObjectFactoryBean">
		<property name="jndiName"
			value="${survey.jdbc.dataSource.hdr.jndiName}" />
	</bean>

	<!--  This bean sets up property replacement so that variables can be externalized to system properties -->
	<bean
		class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="systemPropertiesModeName"
			value="SYSTEM_PROPERTIES_MODE_OVERRIDE" />
		<property name="locations">
			<list>
				<value>classpath:gov/va/med/cds/ars/config/properties/defaultWeblogic.properties</value>
			</list>
		</property>
	</bean>
	
	<bean id="hdrTransactionManager" class="org.springframework.transaction.jta.WebLogicJtaTransactionManager"/>
	
	<bean id="cdsAppName" class="java.lang.String">
		<constructor-arg value="${cdsAppName}" />
	</bean>
	
	<bean id="pathwaysAppName" class="java.lang.String">
		<constructor-arg value="${pathwaysAppName}" />
	</bean>

</beans>